Subject: httpd child loop with mod_ssl 2.8.14, apache1.3.27, mod_jrun

From: Martin Decker <[email-masked]>
Date: Tue, 6 May 2003 08:55:23 +0200 (CEST)

Hello,

I have a httpd process looping after a couple of hours. Restarting
resolves the issue. The child process takes all the available CPU.

I am using:

- Solaris 8 (108528-17)
- apache 1.3.27 with mod_ssl 2.8.14, openssl 0.9.6g
- JRun 4 Service Pack 1a

What can I do to resolve this problem? I tried out the same thing on a
Apache without mod_ssl, and in that environment the process does
not loop.

Attaching gdb to the looping process reveals this:

#0  0xfeffa1b8 in startSync () from /export/home/jrun4/lib/wsconfig/2/mod_jrun.so
#1  0xfeff6ca4 in proxyRelease () from /export/home/jrun4/lib/wsconfig/2/mod_jrun.so
#2  0xfeff8218 in mappingsTableDelete () from /export/home/jrun4/lib/wsconfig/2/mod_jrun.so
#3  0xfeff3120 in jrun_child_exit () from /export/home/jrun4/lib/wsconfig/2/mod_jrun.so
#4  0xff2ccd18 in ap_child_exit_modules () from /usr/local/apache_omt_ssl/libexec/libhttpd.so
#5  0xff2d3284 in clean_child_exit () from /usr/local/apache_omt_ssl/libexec/libhttpd.so
#6  0xff2d5580 in just_die () from /usr/local/apache_omt_ssl/libexec/libhttpd.so
#7  0xff2d55bc in usr1_handler () from /usr/local/apache_omt_ssl/libexec/libhttpd.so
#8  0xff05b82c in __sighndlr () from /lib/libthread.so.1
#9  <signal handler called>
#10 0xff11bac8 in _private_fcntl () from /lib/libc.so.1
#11 0xff116074 in s_fcntl () from /lib/libc.so.1
#12 0xff05a860 in _fcntl_cancel () from /lib/libthread.so.1
#13 0xff2d6e04 in child_main () from /usr/local/apache_omt_ssl/libexec/libhttpd.so
#14 0xff2d7644 in make_child () from /usr/local/apache_omt_ssl/libexec/libhttpd.so
#15 0xff2d7a08 in perform_idle_server_maintenance ()   from /usr/local/apache_omt_ssl/libexec/libhttpd.so
#16 0xff2d8190 in standalone_main () from /usr/local/apache_omt_ssl/libexec/libhttpd.so
#17 0xff2d8900 in ap_main () from /usr/local/apache_omt_ssl/libexec/libhttpd.so
#18 0x1d3e4 in ?? ()

Thanks in advance,

Martin

############################################
# Martin Decker, Systems Engineer
# AOL Deutschland GmbH & Co. KG
# Millerntorplatz 1, 20359 Hamburg
# Mail: [email-masked]
# AIM: mdecker77
# Tel 040/36159-7472
# Fax 040/36159-7460
#############################################

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]